declare module "@plumier/validator" {
    namespace val {
        function file(maxSize: string | number): (...arg: any[]) => void;
        function file(opt: {
            maxSize?: string | number;
            mime?: string | RegExp;
            invalidMimeMessage?: string;
            invalidSizeMessage?: string;
        }): (...arg: any[]) => void;
        function image(): (...arg: any[]) => void;
        function image(maxSize?: string | number): (...arg: any[]) => void;
        function image(opt: {
            maxSize?: string | number;
            invalidSizeMessage?: string;
            invalidImageMessage?: string;
        }): (...arg: any[]) => void;
    }
}
export {};
